Summary:	A program for visualising molecular dynamics simulations data
Name:		gdpc
Version:	2.2.5
Release:	2%{?dist}
License:	GPLv2+
Group:		Applications/Engineering
URL:		http://www.frantz.fi/software/gdpc.php
Source0:	http://www.frantz.fi/software/gdpc-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig

%description
gdpc is a program for visualising molecular dynamic simulations,
it is a very versatile program and could easily be used for other
purposes. gdpc reads xyz input as well as custom formats and can
output pictures of each frame.

%prep
%setup -q
# Create desktop file
cat > gdpc.desktop << EOF
[Desktop Entry]
Name=gdpc
Comment=A program for visualising molecular dynamic simulations
Exec=gdpc
Icon=
Terminal=false
Type=Application
Categories=Graphics;3DGraphics;Science;Chemistry;Physics;DataVisualization;
EOF

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
rm -rf %{buildroot} 
install -D -p -m 755 gdpc %{buildroot}%{_bindir}/gdpc
desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ gdpc.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README liquid.test manytypes.test md.test gpl.txt
%{_bindir}/gdpc
%{_datadir}/applications/gdpc.desktop

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 22 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 2.2.5-1
- Conversion of spec to Fedora.
* Sat Dec 11 2004 Jonas Frantz <frantz@acclab.helsinki.fi>
- Version 2.2.4 released
* Wed Dec 8 2004 Jonas Frantz <frantz@acclab.helsinki.fi>
- Version 2.2.3.1 released
* Mon Dec 6 2004 Jonas Frantz <frantz@acclab.helsinki.fi>
- Version 2.2.3 released
* Sat Aug 9 2003 Jonas Frantz <jonas.frantz@helsinki.fi>
- Initial build

